package domain


type AlibabaRetailMarketingBuygiftActivityDeleteItemDiscountActivityOperateRequest struct {
    /*
        操作人ID（数字类型）     */
    CreatorId  *string `json:"creator_id,omitempty" `

    /*
        操作人name     */
    CreatorName  *string `json:"creator_name,omitempty" `

    /*
        活动ID     */
    ActId  *int64 `json:"act_id,omitempty" `

    /*
        外部活动id     */
    OutActId  *string `json:"out_act_id,omitempty" `

}

func (s *AlibabaRetailMarketingBuygiftActivityDeleteItemDiscountActivityOperateRequest) SetCreatorId(v string) *AlibabaRetailMarketingBuygiftActivityDeleteItemDiscountActivityOperateRequest {
    s.CreatorId = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivityDeleteItemDiscountActivityOperateRequest) SetCreatorName(v string) *AlibabaRetailMarketingBuygiftActivityDeleteItemDiscountActivityOperateRequest {
    s.CreatorName = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivityDeleteItemDiscountActivityOperateRequest) SetActId(v int64) *AlibabaRetailMarketingBuygiftActivityDeleteItemDiscountActivityOperateRequest {
    s.ActId = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivityDeleteItemDiscountActivityOperateRequest) SetOutActId(v string) *AlibabaRetailMarketingBuygiftActivityDeleteItemDiscountActivityOperateRequest {
    s.OutActId = &v
    return s
}
